import { Entity, Column, PrimaryColumn, Index, OneToMany } from "typeorm";
import { Blog } from "./blog.js";

@Entity()
@Index(["username", "host"], { unique: true })
export class Account {
  @PrimaryColumn("text")
  id: string;
  @Column("text", { nullable: false })
  username: string;
  @Column("text", { nullable: true })
  host: string | null;

  @Column("text", { nullable: true, unique: true })
  email: string | null;
  @Column("text", { nullable: true })
  password: string | null;

  @OneToMany(() => Blog, (blog) => blog.account)
  blogs: Blog[];
}
